

;	USED TO PRE-FILL THE "TPA" WITH ZEROES
;	SO THAT "SCAN.COM" CAN LOCATE THE  CCP



START	EQU	0200H
STOP	EQU	0E300H
FILL	EQU	00H


	ORG	0100H


	LXI	D,(STOP-START)
	LXI	H,START

TEST	MOV	A,D
	CPI	0
	JNZ	LOAD
	MOV	A,E
	CPI	0
	JZ	QUIT

LOAD	MVI	A,FILL
	MOV	M,A

	DCX	D
	INX	H

	JMP	TEST

QUIT	MVI	A,START / 0100H
	PUSH	A
	CALL	UPHEX
	STA	BEGIN

	POP	A
	CALL	LOHEX
	STA	BEGIN+1

	MVI	A,START AND 00FFH
	PUSH	A
	CALL	UPHEX
	STA	BEGIN+2

	POP	A
	CALL	LOHEX
	STA	BEGIN+3

	LXI	H,STOP
	DCX	H
	MOV	A,H
	PUSH	A
	CALL	UPHEX
	STA	FINIS

	POP	A
	CALL	LOHEX
	STA	FINIS+1

	MOV	A,L
	PUSH	A
	CALL	UPHEX
	STA	FINIS+2

	POP	A
	CALL	LOHEX
	STA	FINIS+3

	MVI	A,FILL
	PUSH	A
	CALL	UPHEX
	STA	MARKR

	POP	A
	CALL	LOHEX
	STA	MARKR+1

	MVI	C,09H
	LXI	D,MSG
	CALL	0005H

	JMP	0000H


MSG	DB	0AH,0AH,'       ADDRESSES  '''

BEGIN	DS	4

	DB	'H''  THROUGH  '''

FINIS	DS	4

	DB	'H''  FILLED WITH  '''

MARKR	DS	2

	DB	'H''',0DH,0AH,0AH

	DB	'$'

UPHEX	RAR			;     CONVERT UPPER NYBBLE
	RAR			;      TO ITS ASCII VALUE
	RAR
	RAR
	CALL	LOHEX
	RET

LOHEX	ANI	0FH		;     CONVERT LOWER NYBBLE
	ORI	30H		;      TO ITS ASCII VALUE
	CPI	'9'+1
	RM
	ADI	07H
	RET


	END	0100H

